These are chat archives for reactioncommerce/reaction

7th
Nov 2016
niljr
@niljr
Nov 07 2016 03:13
Hi, it seems the link for Windows OpenSSL errors prevent startup is broken.
Brent Hoover
@zenweasel
Nov 07 2016 03:16
pardon?
niljr
@niljr
Nov 07 2016 03:18
Hi Brent, I'm trying to install reaction in my laptop(windows10). when i try to run it , it gives me an error of "Windows OpenSSL errors prevent startup"
"Errors prevented startup:"
Brent Hoover
@zenweasel
Nov 07 2016 03:19
Have you installed the Windows requirements listed here: https://docs.reactioncommerce.com/reaction-docs/master/requirements
niljr
@niljr
Nov 07 2016 03:19
Yes.
Brent Hoover
@zenweasel
Nov 07 2016 03:20
If Win32 OpenSSL is installed properly you shouldn’t be getting that error
Can you try to uninstall and reinstall?
niljr
@niljr
Nov 07 2016 03:41
still the same parin ang error.
Brent Hoover
@zenweasel
Nov 07 2016 03:54
can you run openssl from the command-line?
niljr
@niljr
Nov 07 2016 03:55
not recognize..
Brent Hoover
@zenweasel
Nov 07 2016 04:00
Hmmm, well honestly I don’t know for certain that the implementation of OpenSSL on Windows even has a command line version
the first step would be to ascertain that this is installed and working properly
the documentation doesn’t say anything about the software which would lead to believe that it works like the versions on other platform..
so you should be able to do openssl version and get back the version number
niljr
@niljr
Nov 07 2016 04:04
i'll try to figure this out. Thanks for the assistance.
Brent Hoover
@zenweasel
Nov 07 2016 04:06
Sorry I couldn’t be more help
Philip Nuzhnyi
@callmephilip
Nov 07 2016 19:58
Hey guys. I am having problems building a docker image - left a few notes here reactioncommerce/reaction#1541
I'd appreciate any help on this
hrath2015
@hrath2015
Nov 07 2016 20:17
@jshimko is it safe to remove momentjs:moment from packages.js. Having trouble on windows 10 for building RC because of version 2.15.2. As a workaround found on meteor forum I am using 2.15.1. We are using NPM packages for moment. Assuming it can go safely. Thanks
Aaron Judd
@aaronjudd
Nov 07 2016 20:18
@hrath2015 yes… but there may be some atmosphere packages that might bring it back in as a dependency..
hrath2015
@hrath2015
Nov 07 2016 20:20
I see. In that case I will keep it as 2.15.1 till fixed may in meteor 1.4.2.1 . Just wondering no complain from RC user/dev community.
thanks @aaronjudd